Debian Bug report logs - #431124
gitk: fails to run: /usr/lib/libz.so.1: no version information available

version graph

Package: zlib1g; Maintainer for zlib1g is Mark Brown <broonie@debian.org>; Source for zlib1g is src:zlib.

Reported by: Sam Morris <sam@robots.org.uk>

Date: Fri, 29 Jun 2007 23:03:01 UTC

Severity: grave

Found in version zlib/1:1.2.3.3.dfsg-2

Fixed in version zlib/1:1.2.3.3.dfsg-3

Done: Mark Brown <broonie@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#431124; Package gitk. Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
New Bug report received and forwarded. Copy sent to Gerrit Pape <pape@smarden.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gitk: fails to run: /usr/lib/libz.so.1: no version information available
Date: Fri, 29 Jun 2007 23:57:35 +0100
Package: gitk
Version: 1:1.5.2.2-3
Severity: grave
Justification: renders package unusable

$ gitk
Error in startup script: .git
git: /usr/lib/libz.so.1: no version information available (required by git)
    while executing
"exec git rev-parse --git-dir"
    (procedure "gitdir" line 6)
    invoked from within
"gitdir"
    invoked from within
"set gitdir [gitdir]"
    (file "/usr/bin/gitk" line 6311)

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (540, 'stable'), (520, 'testing'), (510, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.21-1-k7
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages gitk depends on:
ii  git-core                     1:1.5.2.2-3 fast, scalable, distributed revisi
ii  tk8.4                        8.4.12-1    Tk toolkit for Tcl and X11, v8.4 -

Versions of packages gitk recommends:
ii  git-doc                      1:1.4.4.4-2 content addressable filesystem (do

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#431124; Package gitk. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. Full text and rfc822 format available.

Message #10 received at 431124@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 431124@bugs.debian.org
Subject: Re: gitk: fails to run: /usr/lib/libz.so.1: no version information available
Date: Fri, 29 Jun 2007 18:34:13 -0700
reassign 431124 zlib1g
found 431124 1:1.2.3.3.dfsg-2
thanks

This is a bug in the unstable version of zlib1g, which has started using
versioned symbols (apparently courtesy of upstream), but has not updated its
shlibdeps to match.

Mark, please update zlib1g's shlibs to (>= 1:1.2.3.3.dfsg-1) for this
change.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Bug reassigned from package `gitk' to `zlib1g'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sat, 30 Jun 2007 01:36:03 GMT) Full text and rfc822 format available.

Bug marked as found in version 1:1.2.3.3.dfsg-2. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sat, 30 Jun 2007 01:36:03 GMT) Full text and rfc822 format available.

Reply sent to Mark Brown <broonie@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sam Morris <sam@robots.org.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 431124-close@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: 431124-close@bugs.debian.org
Subject: Bug#431124: fixed in zlib 1:1.2.3.3.dfsg-3
Date: Sat, 30 Jun 2007 13:17:02 +0000
Source: zlib
Source-Version: 1:1.2.3.3.dfsg-3

We believe that the bug you reported is fixed in the latest version of
zlib, which is due to be installed in the Debian FTP archive:

lib64z1-dev_1.2.3.3.dfsg-3_powerpc.deb
  to pool/main/z/zlib/lib64z1-dev_1.2.3.3.dfsg-3_powerpc.deb
lib64z1_1.2.3.3.dfsg-3_powerpc.deb
  to pool/main/z/zlib/lib64z1_1.2.3.3.dfsg-3_powerpc.deb
zlib-bin_1.2.3.3.dfsg-3_powerpc.deb
  to pool/main/z/zlib/zlib-bin_1.2.3.3.dfsg-3_powerpc.deb
zlib1g-dbg_1.2.3.3.dfsg-3_powerpc.deb
  to pool/main/z/zlib/zlib1g-dbg_1.2.3.3.dfsg-3_powerpc.deb
zlib1g-dev_1.2.3.3.dfsg-3_powerpc.deb
  to pool/main/z/zlib/zlib1g-dev_1.2.3.3.dfsg-3_powerpc.deb
zlib1g-udeb_1.2.3.3.dfsg-3_powerpc.udeb
  to pool/main/z/zlib/zlib1g-udeb_1.2.3.3.dfsg-3_powerpc.udeb
zlib1g_1.2.3.3.dfsg-3_powerpc.deb
  to pool/main/z/zlib/zlib1g_1.2.3.3.dfsg-3_powerpc.deb
zlib_1.2.3.3.dfsg-3.diff.gz
  to pool/main/z/zlib/zlib_1.2.3.3.dfsg-3.diff.gz
zlib_1.2.3.3.dfsg-3.dsc
  to pool/main/z/zlib/zlib_1.2.3.3.dfsg-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 431124@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Brown <broonie@debian.org> (supplier of updated zlib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 30 Jun 2007 11:49:23 +0100
Source: zlib
Binary: lib32z1 zlib1g-dev zlib1g lib64z1 zlib-bin zlib1g-dbg lib32z1-dev lib64z1-dev zlib1g-udeb
Architecture: source powerpc
Version: 1:1.2.3.3.dfsg-3
Distribution: unstable
Urgency: low
Maintainer: Mark Brown <broonie@debian.org>
Changed-By: Mark Brown <broonie@debian.org>
Description: 
 lib64z1    - compression library - 64 bit runtime
 lib64z1-dev - compression library - 64 bit development
 zlib-bin   - compression library - sample programs
 zlib1g     - compression library - runtime
 zlib1g-dbg - compression library - development
 zlib1g-dev - compression library - development
 zlib1g-udeb - compression library - runtime for Debian installer (udeb)
Closes: 386357 406018 431124
Changes: 
 zlib (1:1.2.3.3.dfsg-3) unstable; urgency=low
 .
   * Support building with UNALIGNED_OK and enable it on i386 and amd64.
     This seems to provide a small speedup in my tests (closes: #386357).
   * Build 32 bit version on KFreeBSD-amd64 (closes: #406018).
   * Provide versioned dependency shlibs (closes: #431124).
Files: 
 aca001e6c6052bf197389bb4dc24e213 792 libs optional zlib_1.2.3.3.dfsg-3.dsc
 1363931b1d898de395b9e7bf8ed8f7d5 11597 libs optional zlib_1.2.3.3.dfsg-3.diff.gz
 85086ba26a629d04d4bd23400b6f6d11 72878 libs required zlib1g_1.2.3.3.dfsg-3_powerpc.deb
 5b17ebe8052b9d315af8e6b76230f953 160570 libdevel optional zlib1g-dev_1.2.3.3.dfsg-3_powerpc.deb
 9dbd57c192d91f9efe3c8d1dbfbf2d00 165900 libdevel optional zlib1g-dbg_1.2.3.3.dfsg-3_powerpc.deb
 c1fc92ea4f6ad7f122655680f0299ccf 48396 utils optional zlib-bin_1.2.3.3.dfsg-3_powerpc.deb
 95044b250a1ac5a8b91b344d79d802f1 738 debian-installer optional zlib1g-udeb_1.2.3.3.dfsg-3_powerpc.udeb
 56555b143d663e14dc47657363cff73b 77938 libs optional lib64z1_1.2.3.3.dfsg-3_powerpc.deb
 6d22626a342e785f8eb50cd8534690ce 80192 libdevel optional lib64z1-dev_1.2.3.3.dfsg-3_powerpc.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGhlPRJ2Vo11xhU60RAgmdAJ9SesLylcirp9ex0C8wX1pg2/RPyACfX8uz
vQ1YODedxmn08WrvuBNt3V0=
=xgkc
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 01 Aug 2007 07:29:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:17:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.